/**
******************************************************************************

  @file /common/_cpp.cpp
  @brief Vzor pro psani zdrojaku
 
  Tady muze byt HTML. <a href="http://www.google.com">Google</a>
  <br>
  <i>Autor tohoro zdrojaku
  <img width="50" src="http://www.ms.mff.cuni.cz/~krajv1am/vajman.jpg"> </img>
  </i>

  @author Vajicek
  @version 0.1

******************************************************************************/



#include "_cpp.h"

/*
tady musi byt namespace taky, protoze po preprocesoru dostane kompiler:

///header .h
namespace neco{

struct mujtyp
{
};

extern void fnc1();
extern void fnc2();
}

///zdrojak .cpp

//pokud tohle neuvedu nemuzu v lokalnich fncich pouzivat typy z headru bez prefixu
using namespace neco;

//neni to same jako neco::fnc1
void fnc1()
{
  mujtyp a;
}

void fnc2()
{
  fnc1(); //KTEROU MAM VOLAT? neco::fnc1(), nebo fnc1()
}

*/
namespace test
{

/** C funkce - Implementacni detaily.

    Tato funkce pouziva standardni cckove knihovny.
*/
void moje_chytra_funkce(int p, int p2)
{
}


/** C++ funkce 1 - Implementace

    obecny popis toho co ma funkce v rozhrani za ukol

    Tato funkce ma za ukol .. a pouziva algoritmus z
    adresy <a href="http://www.gamasutra.com/">http://www.gamasutra.com/</a>

    @param p parametr jedna
    @param p2 parametr dve
*/
void MojeChytraFunkce(int p, int p2)
{
}

/** Tato funkce je jet chytej, ne MojeChytraFunkce().
    - v komentch se z nzv funkc (ppad metod Trida::metoda()) automaticky
    stanou odkazy do dan sti dokumentace.
   
    Explicitn je toho mon doshnout takto:
    @see moje_chytra_funkce()
*/
void MojeChytrejsiFunkce(int p, int p2)
{
}

/** Porovn pedan hodnoty
   
    Dodrzujete prosim mezery za carkami a jinymi operatory.

    @retval 1, je-li \c a vt ne \c b
    @retval 0, jsou-li si parametry rovny
    @retval -1, je-li \c a men ne \c b
*/
int navratovaHodnota( int a, int b)
{
  if (a > b)
    return 1;
  else if (a == b)
    return 0;
  else
    return -1;
}
/** Pouit tabultor a mezer
    Pouvte-li Visual Studio, pouvejte Tab size : 2, Indent size: 2 a Insert spaces. 
    V ostatnch editorech podobn volby.
    
    Jsou tri styly zapisu zavoek:
    
    BSD:
    if (podminka)
    {
      prikaz;
    }
    
    GNU:
    if (podmninka)
      {
        prikaz;
      }
    
    K&R:
    if (podminka) {
      prikaz;
    }
    
    Drzel bych se stylu K&R. 
	

    (PZ - tak na tohle seru, pouzivam BSD, K&R mi prijde nejmin prehledny z toho duvodu,
    ze jasne nevidis, kde ti zacina a konci blok, protoze zavorky nejsou nad sebou,
    snadno se to prehlidne, navic mi tohle prijde uz jako docela extremismus)
		
		(Vasek - souhlas, BSD nebo K&R podle libosti, to zas neni tak dulezity jako 
		jmena metod, a komentaze pro doxygen. Dycky se to da prohnat GNU indentem.
		Ale ty indenty si prosim nastavte.)

    Bloky kdu by mly bt tedy odsazeny jednm \t znakem (irokm jako 2 mezery), 
    anebo dvma mezerami. Sloen zvorky jsou u definic td  a funkc na novm dku,
    u blok kdu, cykl a podmnek vdy na stejnm.
*/    
void tabulatory( )
{
  if (podminka) {
    pijde medvd;
    z pole role;
    ruce m a dole;
    while ( ) {
      nic se mu neda;
      ve se mu zapa;
    }
  }
  else {
    m-li ovem tuto kouli;
    pak jen oi poul.
  }  
}
  
}//namespace

/*****************************************************************************/

