/**
******************************************************************************

  @file /common/rm/rminit.h
  @brief Inicializace/dealokace vsech RM, zaregistrovani transceiveru
  
  @author Vta
  @version 1.0

******************************************************************************/

#ifndef RMINIT
#define RMINIT

#include "SDL/SDL.h"
#include "common/rm/rmconfi.h"
#include "common/rm/rmconf.h"
#include "common/rm/rmtxti.h"
#include "common/rm/rmtxt.h"
#include "common/rm/rmadvxml.h"
#include "common/rm/rmadvxmli.h"
#include "common/rm/rmbuildingi.h"
//#include "common/rm/rmspelli.h"
#include "common/rm/rmmap.h"
#include "common/rm/rmmapi.h"
#include "common/rm/rmxml.h"
#include "common/rm/rmxmli.h"
#include "common/rm/rmmodel.h"
#include "common/rm/rmmodeli.h"
#include "common/rm/rmsound.h"
#include "common/rm/rmsoundi.h"
#include "common/rm/rmrast.h"
#include "common/rm/rmrasti.h"
#include "common/rm/rmsymbol.h"
#include "common/rm/rmsymboli.h"
#include "common/Msg.h"
#include "common/Log.h"
#include "common/Interface.h"


//using namespace rm;

/** Inicializace vsech resource manageru */
int RMInit(); 

/** Zruseni vsech resource manageru */
int RMDestroy();

/** Transceiver pro resource managery */
RVAL msgrm (MESSAGE_ID msgId,SENDER who,PARAM data); 

#endif // define RMINIT
