/**
******************************************************************************

  @file /common/xml/myhash.h
  @brief Hasovaci fce
 
  @author Vta
  @version 1.0

******************************************************************************/
#ifndef MYHASH
#define MYHASH

#include <string.h>
#include <stdlib.h>
#include <stdio.h>

#define HASH_TABLE_SIZE 6 ///< Velikost hasovaci tabulky

/** Zahasuje dane data
    @param data vstup
    @param fixed_order urcuje, zda se bude hashovat do tabulky o velikosti myhashMaxValue(), nebo do tabulky velikosti 1 (vsechny vstupy se zobrazi na jeden prvek - 0)
    @return Radek v hashovaci tabulce
*/
int myhashstr(char *data,int fixed_order);

/** Zahasuje dane data
    @param data vstup
    @param fixed_order urcuje, zda se bude hashovat do tabulky o velikosti myhashMaxValue(), nebo do tabulky velikosti 1 (vsechny vstupy se zobrazi na jeden prvek - 0)
    @return Radek v hashovaci tabulce
*/
int myhashwcs(wchar_t *data,int fixed_order);

/** Vraci velikost hasovane taublky */
int myhashMaxValue(int fixed_order);

#endif // define MYHASH
/*****************************************************************************/
