/**
*******************************************************************************

  @file /gui/contexts/Test.h
  @brief Obrazovka LoadingScreen
  

  @author Vajicek
  @version 0.1
 
******************************************************************************/
#ifndef TEST_H
#define TEST_H

#include "gui/common/Context.h"
#include "gui/common/ActiveObjects_ext.h"
#include "common/rm/rminit.h"

namespace gui{

//zaroven kontext v ramci systemu, ale i scena se svetelnymi zdroji,atd
class TTest: public TContext{
public:
  //
	TTest(TContextParameter contextparameter);
	virtual ~TTest();
	static TContext* createContext(...);
	virtual void deactivateContext();
  //
	virtual void activateContext(TContextParameter contextparameter);
	virtual void drawContext();
  virtual int workInput(INPUT *input);
};

};//namespace
#endif
/*****************************************************************************/
