/** @file world/common.h
    
    Dopredne deklarace zjednodusujici preklad a slinkovani
    knihoven modulu World.

    @author Petr Wolf
*/

#ifndef WORLD_COMMON_H
#define WORLD_COMMON_H

namespace World
{
    struct BUILDING;

    struct UNIT;

    class TWorld;
}

/// Pocet (maximalni) druhu jednotek 
#define MAX_UNIT_TYPES_COUNT 50

/// Pocet (konstantni) kategorii jednotek
#define UNIT_TYPES_COUNT 6

/// Maximalni pocet zivotu jednotky
#define MAX_LIVES 18

/// pocet (maximalni) druhu budov
#define MAX_BUILDING_TYPES_COUNT 10

#endif

